<?php
/*  Nom du programme : testChamps.php
 *  Description :  Ce programme contrle les champs du formulaire
 *                 (zones vides, format incorrect).
 */
?>
<html>
<head>
<title>Test de champs</title>
</head>
<body>
<?php
  /* Dfinir les champs  tester*/
  $tiquettes = array ( "prnom" => "Prnom",
                        "nom" => "Nom",
                        "code_postal" => "Code postal",
                        "tlphone" => "Tlphone");

  foreach ($_POST as $cl => $valeur)
  {
    /* Contrler tous les champs sauf celui du code postal */
    if ( $valeur == "" )
    {
      if ($cl != "code_postal")
      {
       	 $champVide[$cl] = "blanc";
      }
    }
    elseif ($cl == "prnom" or $cl == "nom" )
    { if (!ereg("^[A-Za-z' -]{1,50}$",$_POST[$cl]) )
      {
         $mauvaisFormat[$cl] = "mauvais";
      }
    }
    elseif ($cl == "tlphone")
    {
       if (!ereg("^[0-9)( -]{7,20}(([xX]|(ext)|(ex))?[ -]?[0-9]{1,7})?$", 
               $valeur) )
       {
         $mauvaisFormat[$cl] = "mauvais";
       }
     }
  }   // Fin de la boucle foreach pour $_POST

  /* Si l'un des champs est incorrect, afficher un message */
  if (@sizeof($champVide) > 0 or @sizeof($mauvaisFormat) > 0)
  {
    if (@sizeof($champVide) > 0)
    {
      /* Message pour information manquante */
       echo "<b>Un des champs obligatoires n'a pas t renseign.
        Vous devez saisir :</b><br>";
      /* Affichage du nom des informations requises */
      foreach($champVide as $cl => $valeur)
      {
         echo "&nbsp;&nbsp;&nbsp;{$tiquettes[$cl]}<br>";
      } // Fin de la boucle foreach pour les champs vierges
    }
    if (@sizeof($mauvaisFormat) > 0)
    {
      /* Message pour information invalide */
        echo "<b>Un ou plusieurs champs contiennent des informations
                 qui semblent incorrectes. Corrigez le format de :</b><br>";
        /* Affiche ule liste des informations incorrectes */
        foreach($mauvaisFormat as $cl => $valeur)
        {
           echo "&nbsp;&nbsp;&nbsp;{$tiquettes[$cl]}<br>";
        }
    }

    // rafficher le formulaire
    $nom=trim(strip_tags($_POST['nom']));
    $prnom=trim(strip_tags($_POST['prnom']));
    $code_postal=trim(strip_tags($_POST['code_postal']));
    $tlphone=trim(strip_tags($_POST['tlphone']));

    echo "<p><hr>
      <form action='testChamps.php' method='post'>
      <center>
      <table width='95%' border='0' cellspacing='0' cellpadding='2'>
      <tr><td align='right'><B>{$tiquettes['prnom']}:</br></td>
        <td><input type='text' name='prnom' size='35'
             maxlength='35' value='$prnom' > </td>
      </tr>
      <tr><td align='right'><B>{$tiquettes['nom']}:</br></td>
        <td><input type='text' name='nom' size='35'
             maxlength='35' value='$nom' > </td>
      </tr>
      <tr><td align='right'><B>{$tiquettes['code_postal']}:</B></td>
        <td> <input type='text' name='code_postal' size='35'
              maxlength='35' value='$code_postal'> </td>
      </tr>
      <tr><td align='right'><B>{$tiquettes['tlphone']}:</B></td>
        <td> <input type='text' name='tlphone' size='35'
             maxlength='35' value='$tlphone'> </td>
      </tr>
      </table>
      <p><input type='submit' value='Validez'>
      </form>
      </center>";
    exit();
  }
  echo "Bienvenue...";
?>
</body>
</html>
