<?php
 /* Programme :  Login-OO.php
  * Description : Script d'application d'identification 
  *           d'utilisateur. Le programme affiche la 
  *           page Web d'identification. Les informations
  *           d'inscription d'un nouvel utilisateur sont
  *           valides et stockes dans une base de
  *           donnes. Le mot de passe d'un client existant
  *           est compar au mot de passe valide stock
  *           dans la base de donnes.
  */
require_once("WebForm.class");                            #9
require_once("Account.class");
require_once("Database.class");
require_once("Session.class");
require_once("Email.class");

try                                                      #15
{
  $form = 
    new WebForm("double_form.inc","fields_login.inc",$_POST);
}
catch(Exception $e)
{
  echo $e->getMessage();
  exit();
}
//Le formulaire est affich pour la premire fois, vierge.//
if (!isset($_POST['Button']))                            #26
{
   $form->displayForm();
   exit();
}
// Traite le formumaire qui a t soumis avec des infos utilisateur //
else                                                     #32
{
  $sess = new Session();                                 #34
  try
  {
     $db = new Database("Vars.inc");                     #37
     $db->useDatabase("CustomerDirectory");              #38
     $acct = new Account($db->getConnection(),"Customer");
  }
  catch(Exception $e)
  {
     echo $e->getMessage()."\n<br>";
     exit();
  }

  // Le formulaire d'identification a t soumis //  
  if (@$_POST['Button'] == "Identification")                      #48
  {
     try
     {
         $blanks = $form->checkForBlanks();              #52
     }
     catch(Exception $e)
     {
         echo $e->getMessage();
         exit();
     }
     if(is_array($blanks))                               #59
     {
        $GLOBALS['message_1'] = 
           "User name or Password was blank. 
                         Please enter both.";
        $form->displayForm();
        exit();
     } 
     try
     { 
        if(!$acct->selectAccount($_POST['fusername']))   #69
        {
           $GLOBALS['message_1'] = $acct->getMessage(). 
                          " Ressayez.";
           $form->displayForm();
           exit();
        }
        if(!$sess->login($acct,$_POST['fpassword']))     #76
        {
           $GLOBALS['message_1'] = $acct->getMessage().
                     " Ressayez.";
           $form->displayForm();
           exit();
        }
        header("Location: SecretPage.php");              #83
        exit();
     }
     catch(Exception $e)
     {
        echo $e->getMessage();
     } 
  }

  // Le formulaire d'inscription a t soumis  //
  elseif($_POST['Button'] = "Inscription")                  #93
  {
     $not_required[] = "fax";                            #95
     try
     {
         $form->setFieldsNotRequired($not_required);     #98
         $blanks = $form->checkForBlanks();              #99
     }
     catch(Exception $e)
     {
         echo $e->getMessage();
     }
     if(is_array($blanks))                              #105
     {
        $GLOBALS['message_2'] = 
           "Les champs obligatoires suivants sont vierges. 
                Merci de saisir les informations obligatoires :  ";
        foreach($blanks as $value)
        {
           $GLOBALS['message_2'] .="$value, ";
        }
        $form->displayform();
        exit();
     }
     $form->trimData();                                 #117
     $form->stripTagsFromData();                        #118
     try
     {
        $errors = $form->verifyData();                  #121
     }
     catch(Exception $e)
     {
        echo $e->getMessage();
     }
     if(is_array($errors))                              #127
     {
        $GLOBALS['message_2'] = "";
        foreach($errors as $value)
        {
           $GLOBALS['message_2'] .="$value<br> ";
        }
        $form->displayform();
        exit();
     } 
     $newdata = $form->getAllFields();                  #137
     try
     {
       if($acct->selectAccount($newdata['user_name']))  #140
       {
         $GLOBALS['message_2'] = 
             "Nom d'utilisateur dj utilis. 
                  Choisissez-en un autre.";
         $form->displayForm();
         exit();
       }
       if(!$acct->createNewAccount($newdata))           #148
       {
         echo "Impossible de crer le nouveau compte. 
                          Ressayez.";
         exit();
       }
       $sess->storeVariable("auth","yes");              #154
       $sess->storeVariable("logname",$newdata['user_name']);
       $em = new Email();                               #156
       $em->setAddr($newdata['email']);
       $em->setSubj("Votre inscription client");
       $emess = "Votre inscription s'est correctement droule.";
       $emess .= " Vos nom d'utilisateur et mot de passe sont : ";
       $emess .= "\n\n\t{$newdata['user_name']}\n\t";
       $emess .= "{$newdata['password']}\n\n";
       $emess .= "Si vous avez des questions ou problmes,";
       $emess .= " crivez  service@notreboutique.com";
       $em->setMessage($emess);
       #$em->sendEmail();                               #167
     }
     catch(Exception $e)
     {
       echo $e->getMessage();
       exit();
     }
     header("Location: SecretPage.php");
  }
}
?>
