<?php
  /* Programme : CompanyHome-OO.php
   * Description : Affiche une page Web  quatre niveaux :
   *          1) page d'accueil, 2) page de service, 3) page
   *          des contenus 4) page des dtails de contenu.
   */
if (!isset($_SESSION))
  session_start();

include_once("functions_main.inc");
include_once("Department.class");                       #11
include_once("ContentType.class");
include_once("ContentItem.class");
include_once("ContentDownload.class");                  #14

$page = array(
  "title"          => "Intranet de l'entreprise",
  "header"         => "Intranet de l'entreprise",
  "bottom"         => "Copyright(R) 2005",
  "left_nav_links" => array(),
  "body_links"     => array(),
  "col_headers"    => array(),
  "data_rows"      => array(),
);

$admin = FALSE;
$base_url = "CompanyHome-OO.php";
$trail = "<a href='$base_url'>Home</a>";

if (!isset($_SESSION['user_name']))
  header("Location: Login-OO.php");                     #31
else
{
  if (isset($_SESSION['user_name'])
      && isset($_GET['dept_id']))
  {
    $admin = $_SESSION['user_dept'] == $_GET['dept_id'];
  }

  $left_nav_links = array();

  $page["browse_level"] =
    isset($_GET['browse_level']) ?
      $_GET['browse_level'] : "home";

  switch ($page["browse_level"])
  {
    case "home":                                        #48
      Try
      {
        $departments = Department::findAll();           #51
      }
      catch(Exception $e)
      {
        echo $e->getMessage();
        exit();
      }
      $body_links = "";
      foreach ($departments as $department)             #59
      {
        $link = "$base_url?dept_id=" . $department->getId()
          . "&browse_level=department";
        $page["left_nav_links"][$link] = 
          $department->getName();
        $body_links .= "<li><a href=\"" . $link
          . "\">" . $department->getName() . "</a> - "
          . $department->getDescription();
      }
      $page["left_nav_header"] = "Services";
      $page["top"] = "Bienvenue sur l'Intranet";
      $page["body_text"] = "Bienvenue sur l'Intranet "
        . "o chaque service partage du contenu avec "
        . "toute l'entreprise. Vous pouvez modifier le "
        . "contenu de votre service, via une interface "
        . "simple.<p>Visitez les pages d'accueil des "
        . "services : $body_links";
      break;

    case "department":                                  #79
      $dept_id = $_GET['dept_id'];
      try
      {
        $department = Department::findById($dept_id);   #83
      }
      catch(Exception $e)
      {
        echo $e->getMessage();
        exit();
      }
      $dept_name = $department->getName();              #90
      $dept_desc= $department->getDescription();

      $page["left_nav"] = "$dept_name Content";
      $page["body_text"] = "$dept_name - $dept_desc";

      $body_links = "";
      $content_types = ContentType::findAll();          #97
      foreach ($content_types as $content_type)         #98
      {
        $link = "$base_url?dept_id=$dept_id"
          . "&type_id=" . $content_type->getId()
          . "&browse_level=content";
        $page["left_nav_links"][$link] =
          $content_type->getName();
        $body_links .= "<li><a href=\"" . $link
          . "\">" . $content_type->getName() . "</a>";
      }
      $page["left_nav_header"] = "Types de contenus";
      $page["top"] = $dept_name;
      $page["body_text"] = "$dept_name - $dept_desc "
        . "<p>Voici les zones de ce "
        . "service : $body_links";
      $trail .= " - <a href='$base_url?dept_id=$dept_id"
             .  "&browse_level=department'>$dept_name</a>";
      break;

    case "content":                                    #117
      $dept_id = $_GET['dept_id'];
      $type_id = $_GET['type_id'];
      try
      {
        $department = Department::findById($dept_id);  #122
      }
      catch(Exception $e)
      {
        echo $e->getMessage();
        exit();
      }
      $dept_name = $department->getName();
      $body_links = "";
      $page["body_text"] = "";
      try
      {
        $content_types = ContentType::findAll();       #134
      }
      catch(Exception $e)
      {
        echo $e->getMessage();
        exit();
      }
      foreach ($content_types as $content_type)       
      {
        $link = "$base_url?dept_id=$dept_id"
          . "&type_id=" . $content_type->getId()
          . "&browse_level=content";
        $page["left_nav_links"][$link] =
          $content_type->getName();
        if ($content_type->getId() == $type_id)
          $area_name = $content_type->getName();
      }
      $page["data_rows"] =                             #151
        ContentItem::findByDeptType($dept_id, $type_id);
      if (sizeof($page["data_rows"]) == 0)             #153
      {
        $page["body_text"] = "Pas de contenu $area_name
          dans $dept_name";
      }
      if ($admin)
      {
        $page["body_text"] .= 
                 "<p>[<a href='$base_url?dept_id=$dept_id"
               . "&browse_level=details&type_id=$type_id"
               . "&content_id='>ajouter</a>]";
      }
      $page["col_headers"]["title"] = "Titre $area_name";
      $page["col_headers"]["content_date"] = 
                                       "Date $area_name";
      $page["col_headers"]["create_date"] = "Cr le";
      $page["col_headers"]["created_by"] = "Cr par";
      $page["col_headers"]["last_upd_date"] =
        "Dernire modification le";
      $page["col_headers"]["last_upd_by"] =
        "Dernire modification par";
      $page["left_nav_header"] = "Contenu";
      $page["top"] = "$dept_name - $area_name";
      $trail .= " - <a href='$base_url?dept_id=$dept_id"
             .  "&browse_level=department'>$dept_name</a>";
      $trail .= " - <a href='$base_url?dept_id=$dept_id"
             .  "&browse_level=content"
             .  "&type_id=$type_id'>$area_name</a>";
      break;

    case "details":                                    #183
      $dept_id = $_GET['dept_id'];
      $type_id = $_GET['type_id'];
      $department = Department::findById($dept_id);    #186
      $dept_name = $department->getName();             
      $content_type = ContentType::findById($type_id); 
      $area_name = $content_type->getName();           
      $body_links = "";
      $create_date = date("m/d/y", time());
      $created_by = $_SESSION["user_name"];
      $last_upd_by = $_SESSION["user_name"];
      $content_id = $_GET["content_id"];
      $edit = $admin && (@$_GET["edit"] == "true"
                         || $content_id == "");
      if ($content_id != "")
      {                                                #198
        $content_item = ContentItem::findById($content_id);
        $title = $content_item->getName();             #200
        $content_date = $content_item->getContentDate();
        $description = $content_item->getDescription();
        $create_date = $content_item->getCreationDate();
        $created_by = $content_item->getCreatedBy();
        $last_upd_date = $content_item->getLastUpdDate();
        $last_upd_by = $content_item->getLastUpdBy();
        $downloads =                                   #207
          ContentDownload::findByContentId($content_id);
        foreach($downloads as $download)               #209
        {
          $download_id = $download->getId();          
          $file_name = $download->getName();
          $link = "files/$download_id/$file_name";
          $page["left_nav_links"][$link] = $file_name;
          if ($edit)
            $page["left_nav_links"][$link] .= "</a>
            [<a href=\"Admin-OO.php" .
           "?action=DeleteDownload&download_id=$download_id&"
              . "dept_id=$dept_id&type_id=$type_id\"
            >del</a>]";
        }
      }
      foreach ($_GET as $name => $value)
        $$name = $value;
      $edit = $admin && (@$_GET["edit"] == "true" ||
                            $content_id == "");
      $page["top"] = "$dept_name - $area_name";
      if ($edit)
      {
        $page["body_text"] = "<center><u>Ajout document tlchargeable</u>";
        for ($i = 0; $i < 3; $i++)
        {
          $page["body_text"] .=
            "<br><input type='file' name='upload_file$i'>";
        }
        $page["body_text"] .= "
          </center> <p />
          <center>
            <input type='reset' name='action'
              value ='Rinitialiser'>
            <input type='submit' name='action'
              value ='Annuler'>
            <input type='submit' name='action'
              value ='Enregistrer les changements'>
          </center>";
        $page["top"] .= " Modifier/Crer";
      }
      else
      {
        $page["body_text"] =
          "<a href='javascript:history.go(-1)'>Retour</a>";
      }
      $page["left_nav_header"] = "Documents tlchargs";
      $trail .= " - <a href='$base_url?dept_id=$dept_id"
             .  "&browse_level=department'>$dept_name</a>";
      $trail .= " - <a href='$base_url?dept_id=$dept_id"
             .  "&browse_level=content"
             .  "&type_id=$type_id'>$area_name</a>";

      break;
  }
  include("company-OO.inc");
}
?>
